Cài đặt ứng dụng của chúng tôi 🪄 Nhấp vào biểu tượng ở trên cùng bên phải của thanh địa chỉ.

Notification handlers

GET https://mlnk.vn/api/notification-handlers/
curl --request GET \
--url 'https://mlnk.vn/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
search Tùy chọn Chuỗi Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị cho phép là: name.
is_enabled Tùy chọn Boolean
type Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị cho phép là: email , webhook , slack , discord , telegram , microsoft_teams.
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả theo. Các giá trị cho phép là: notification_handler_id , datetime , last_datetime , name.
order_type Tùy chọn Chuỗi Thứ tự của kết quả. Các giá trị cho phép là: ASC cho thứ tự tăng dần và DESC cho thứ tự giảm dần.
search Tùy chọn Chuỗi Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị cho phép là: name.
is_enabled Tùy chọn Boolean
type Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị cho phép là: email , webhook , slack , discord , telegram , microsoft_teams.
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả theo. Các giá trị cho phép là: notification_handler_id , datetime , last_datetime , name.
order_type Tùy chọn Chuỗi Thứ tự của kết quả. Các giá trị cho phép là: ASC cho thứ tự tăng dần và DESC cho thứ tự giảm dần.
page Tùy chọn Số nguyên Số trang bạn muốn nhận kết quả từ đó. Mặc định là 1.
results_per_page Tùy chọn Số nguyên Số lượng kết quả bạn muốn trên mỗi trang. Các giá trị cho phép là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-04-01 05:38:49",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://mlnk.vn/api/notification-handlers?page=1",
        "last": "https://mlnk.vn/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://mlnk.vn/api/notification-handlers?page=1"
    }
}
GET https://mlnk.vn/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://mlnk.vn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-04-01 05:38:49",
    }
}
POST https://mlnk.vn/api/notification-handlers
Tham số Chi tiết Mô tả
name Bắt buộc Chuỗi -
type Bắt buộc Chuỗi Giá trị cho phép: email , webhook , slack , discord , telegram , microsoft_teams
email Tùy chọn Chuỗi Có sẵn khi: type = email Email
webhook Tùy chọn Chuỗi Có sẵn khi: type = webhook Webhook URL
slack Tùy chọn Chuỗi Có sẵn khi: type = slack Slack webhook URL
discord Tùy chọn Chuỗi Có sẵn khi: type = discord Discord webhook URL
telegram Tùy chọn Chuỗi Có sẵn khi: type = telegram Telegram API Token
telegram_chat_id Tùy chọn Chuỗi Có sẵn khi: type = telegram Telegram Chat ID
microsoft_teams Tùy chọn Chuỗi Có sẵn khi: type = microsoft_teams Microsoft Teams webhook URL
curl --request POST \
--url 'https://mlnk.vn/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://mlnk.vn/api/notification-handlers/{notification_handler_id}
Tham số Chi tiết Mô tả
name Tùy chọn Chuỗi -
type Tùy chọn Chuỗi Giá trị cho phép: email , webhook , slack , discord , telegram , microsoft_teams
email Tùy chọn Chuỗi Có sẵn khi: type = email Email
webhook Tùy chọn Chuỗi Có sẵn khi: type = webhook Webhook URL
slack Tùy chọn Chuỗi Có sẵn khi: type = slack Slack webhook URL
discord Tùy chọn Chuỗi Có sẵn khi: type = discord Discord webhook URL
telegram Tùy chọn Chuỗi Có sẵn khi: type = telegram Telegram API Token
telegram_chat_id Tùy chọn Chuỗi Có sẵn khi: type = telegram Telegram Chat ID
microsoft_teams Tùy chọn Chuỗi Có sẵn khi: type = microsoft_teams Microsoft Teams webhook URL
is_enabled Tùy chọn Boolean -
curl --request POST \
--url 'https://mlnk.vn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://mlnk.vn/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://mlnk.vn/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \